Name:           python-cbpi4-ispindle
Version:        1.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        CraftBeerPi4 iSpindle Sensor Plugin

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/avollkopf/cbpi4-iSpindle
Source:         %{pypi_source cbpi4_ispindle}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cbpi4-ispindle' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cbpi4-ispindle
Summary:        %{summary}

%description -n python3-cbpi4-ispindle %_description


%prep
%autosetup -p1 -n cbpi4_ispindle-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cbpi4-ispindle -f %{pyproject_files}


%changelog
%autochangelog